c ParaDyn - Parallel DYNAMO - molecular dynamics with EAM potentials
c 
c Authored by Steve Plimpton
c   (505) 845-7873, sjplimp@cs.sandia.gov
c   Dept 9221, MS 1111, Sandia National Labs, Albuquerque, NM  87185-1111
c
c Based on the serial DYNAMO code authored by
c   Stephen Foiles (foiles@ca.sandia.gov), Sandia National Labs, Livermore, CA
c   Murray Daw (daw@hubcap.clemson.edu), Clemson University
c
c See the README file for more information
c
      
      subroutine scale_atoms
#include "paradyn.h"
      
      if (node.eq.0) write (6,*) 'Scaling Atoms ...'
      
      if (natoms.eq.0) call error('No atoms defined')
      
c scale coordinates by desired dilation/contraction
c nail down lower boundary
c scale each atom coord relative to lower boundary
c set upper boundary to new scaled position
c only need to scale my nlocal atoms,
c   since xrow and xcol will be updated in force routine
c only need to scale perlb/perub since perlen is reset in start routine
      
      do i = 1,nlocal
        x(1,i) = perlb(1) + xscale*(x(1,i)-perlb(1))
        x(2,i) = perlb(2) + yscale*(x(2,i)-perlb(2))
        x(3,i) = perlb(3) + zscale*(x(3,i)-perlb(3))
      enddo

      perub(1) = perlb(1) + xscale*(perub(1)-perlb(1))
      perub(2) = perlb(2) + yscale*(perub(2)-perlb(2))
      perub(3) = perlb(3) + zscale*(perub(3)-perlb(3))
      
      return
      end
